> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/CashDeclarationAttributes ## OpenAPI ````json GET /v26.4/CashDeclarationAttributes { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/CashDeclarationAttributes": { "get": { "tags": [ "CashDeclarationAttributes" ], "parameters": [ { "name": "StoreId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashDeclarationId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ParentCashDeclarationAttributeId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ChildCashDeclarationAttributeId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "DeclarationAttributeNumber", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "PosTerminalId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "PosUserId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CurrencyUnitCountID", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationAttributeDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationAttributeDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationAttributeDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "ViewCashDeclarationAttributeDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "storeId": { "type": "integer", "format": "int32", "nullable": true }, "cashDeclarationId": { "type": "integer", "format": "int32", "nullable": true }, "parentCashDeclarationAttributeId": { "type": "integer", "format": "int32", "nullable": true }, "declarationAttributeNumber": { "type": "integer", "format": "int32", "nullable": true }, "startAmount": { "type": "number", "format": "double", "nullable": true }, "sales": { "type": "number", "format": "double", "nullable": true }, "cashSalePayments": { "type": "number", "format": "double", "nullable": true }, "prePayments": { "type": "number", "format": "double", "nullable": true }, "invoicePayments": { "type": "number", "format": "double", "nullable": true }, "expenses": { "type": "number", "format": "double", "nullable": true }, "deposits": { "type": "number", "format": "double", "nullable": true }, "withdrawals": { "type": "number", "format": "double", "nullable": true }, "endAmount": { "type": "number", "format": "double", "nullable": true }, "lastCount": { "type": "number", "format": "double", "nullable": true }, "difference": { "type": "number", "format": "double", "nullable": true }, "toSafe": { "type": "number", "format": "double", "nullable": true }, "posTerminalId": { "type": "integer", "format": "int32", "nullable": true }, "posUserId": { "type": "integer", "format": "int32", "nullable": true }, "currencyUnitCountId": { "type": "integer", "format": "int32", "nullable": true }, "userFullName": { "type": "string", "nullable": true }, "posTerminalNumber": { "type": "integer", "format": "int32", "nullable": true }, "posTerminalDescription": { "type": "string", "nullable": true }, "storeNumber": { "type": "integer", "format": "int32", "nullable": true }, "storeDescription": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````